<template>
  <v-app id="app">
    <v-app-bar app flat color="primary" dark>
      <span class="font-weight-regular">Todo App</span>
      <v-spacer />
      <v-btn v-if="isAuthenticated" text to="/">Todo</v-btn>
      <logout-btn v-if="isAuthenticated" redirect="/login"></logout-btn>
    </v-app-bar>
    <v-content>
      <page-transition>
        <router-view />
      </page-transition>
    </v-content>
    <v-footer color="primary" dark flat padless>
      <v-container fluid>
        <v-layout>
          <v-flex xs12>
            <span class="overline">
              &copy; {{ year }} — <strong>Febiyan Rachman</strong>
            </span>
          </v-flex>
        </v-layout>
      </v-container>
    </v-footer>
  </v-app>
</template>

<script>
import PageTransition from "@/components/PageTransition";
import LogoutButton from "@/modules/identity/components/LogoutButton";
import { mapGetters } from "vuex";

export default {
  components: {
    "logout-btn": LogoutButton,
    PageTransition
  },
  data: () => ({
    year: new Date().getYear() + 1900
  }),
  computed: {
    ...mapGetters("identity", ["isAuthenticated"])
  }
};
</script>
